Subject: Re: bug#68022: 30.0.50; File cache completions accumulate instead of replacing minibuffer input

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Dec 2023 14:44:52 +0200

> Date: Mon, 25 Dec 2023 07:54:22 +0100
> From:  Eshel Yaron via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> With emacs -Q:
> 
> 1. M-x file-cache-add-directory-using-find /path/to/emacs/
> 2. C-x C-f mini C-TAB
> 3. Observe the *Completions* buffer pop up with file cache
> completions, suggesting as usual to "type M-<down> or M-<up> to move
> point between completions."
> 4. M-<down> M-<down> M-<up> ...
> 5. Each candidate you highlight this way is inserted in the minibuffer
> after the current input, instead of replacing the appropriate part of
> the input.
> 
> I see this already in Emacs 29.1, FWIW.

Something is missing in the recipe above, because I get "No match"
when I press C-TAB in step 2.  What did I miss?  Is the above supposed
to work in any Emacs source tree?  Also, what should be the
default-directory in step 1 (if it's important) -- should it be the
root of the Emacs source tree?

Thanks.

P.S. Btw, C-TAB doesn't get bound on a TTY, even though I can emulate
C-TAB by typing "C-x @ c TAB".